This section informs you about all the requirements needed to use this solution.

# Instance Requirements
This solution is only compatible on instances with  **Dataiku V12.5+**

Once the instance is installed, the permission "May develop plugin" is needed to modify the Dataiku Application (but not for the flow/scenarios/dashboards)

## Code Environment
Project python recipes uses the code env **solution_clv_forecast**.
The python version used is  **3.8** 

Required packages for this code env are: 
>MarkupSafe<2.1.0
cloudpickle==1.3.0
flask>=1.0,<1.1
jinja2>=2.10,<2.11
lifetimes==0.11.3
lightgbm>=3.2,<3.3
matplotlib==3.3.4
nbformat==5.1.3
plotly==5.13.0
scikit-learn==1.3.2
scikit-optimize==0.10.1
scipy==1.10.1
statsmodels>=0.10,<0.11
xgboost==0.82

# Dataset requirements
For dataset requirements see [Data input](article:9)

Only  **transactions_history** is mandatory and should cover enough month to satisfy the backward and the forward window
 
 At a minimum: backward window + forward window months
 
 For best results (to cover an entire year with training data): backward window + forward window + 12 months